<?php
session_start();
//LIBRERIA PARA EL MAIL_______________________________________________________________
require_once '../../php/php/ext/Swift-4.2.1/lib/swift_required.php';
//LIBRERIA PARA EL MAIL_______________________________________________________________


function generarID()
{
	include ("../../BD/conexion_bd.php");
	if(!$conexion)
	{
		die("error al intentar conectar: " .mysql_error());
	}
	$numero_aleatorio=(string)rand(001,999);
	$consulta=mysql_query("SELECT Nombre_Tarea FROM Tareas WHERE Tareas.id='$numero_aleatorio'",$conexion);
	$total_registros=mysql_num_rows($consulta);
	$arreglo[0]=$total_registros;
	$arreglo[1]=$numero_aleatorio;
	return $arreglo;
}



//SE GENERA UN NÚMERO ALEATORIO QUE SERÁ EL ID
$numero_aleatorio=(string)rand(001,999);


//SE HACE SELECT PARA VER SI YA FUE UTILIZADO EL NUMERO GENERADO
include ("../../BD/conexion_bd.php");
if(!$conexion)
{
	die("error al intentar conectar: " .mysql_error());
}
mysql_query("SET NAMES 'utf8'");
$consulta=mysql_query("SELECT Nombre_Tarea FROM Tareas WHERE Tareas.id='$numero_aleatorio'",$conexion);
$total_registros=mysql_num_rows($consulta);
while($total_registros==1)//id ya existe
{
	$arreglo=generarID();
	$numero_aleatorio=$arreglo[1];
	$total_registros=$arreglo[0];
}
$ID=$numero_aleatorio;//ID que se debe insertar



//SE ALMACENA EL REGISTRO EN LA BASE DE DATOS
$nombre_tarea=ucwords($_POST['nombre_tarea']);
$descripcion_tarea=$_POST['descripcion'];
$fecha_dia_inicio=substr($_POST['fecha_inicio'],0,2);
switch(substr($_POST['fecha_inicio'],3,3))
{
	case 'ENE':
		$fecha_mes_inicio=1;
	break;
	case 'FEB':
		$fecha_mes_inicio=2;
	break;
	case 'MAR':
		$fecha_mes_inicio=3;
	break;
	case 'ABR':
		$fecha_mes_inicio=4;
	break;
	case 'MAY':
		$fecha_mes_inicio=5;
	break;
	case 'JUN':
		$fecha_mes_inicio=6;
	break;
	case 'JUL':
		$fecha_mes_inicio=7;
	break;
	case 'AGO':
		$fecha_mes_inicio=8;
	break;
	case 'SEP':
		$fecha_mes_inicio=9;
	break;
	case 'OCT':
		$fecha_mes_inicio=10;
	break;
	case 'NOV':
		$fecha_mes_inicio=11;
	break;
	case 'DIC':
		$fecha_mes_inicio=12;
	break;
	default:
}
$fecha_year_inicio=substr($_POST['fecha_inicio'],-4,4);
$fecha_completa_inicio=$fecha_year_inicio."-".$fecha_mes_inicio."-".$fecha_dia_inicio;
if($_POST['fecha_termino']=='')//sino se seleccionó fecha de término
{
	$fecha_completa_termino='NULL';
}
else
{
	$fecha_dia_fin=substr($_POST['fecha_termino'],0,2);
	switch(substr($_POST['fecha_termino'],3,3))
	{
		case 'ENE':
			$fecha_mes_termino=1;
		break;
		case 'FEB':
			$fecha_mes_termino=2;
		break;
		case 'MAR':
			$fecha_mes_termino=3;
		break;
		case 'ABR':
			$fecha_mes_termino=4;
		break;
		case 'MAY':
			$fecha_mes_termino=5;
		break;
		case 'JUN':
			$fecha_mes_termino=6;
		break;
		case 'JUL':
			$fecha_mes_termino=7;
		break;
		case 'AGO':
			$fecha_mes_termino=8;
		break;
		case 'SEP':
			$fecha_mes_termino=9;
		break;
		case 'OCT':
			$fecha_mes_termino=10;
		break;
		case 'NOV':
			$fecha_mes_termino=11;
		break;
		case 'DIC':
			$fecha_mes_termino=12;
		break;
		default:
	}
	$fecha_year_termino=substr($_POST['fecha_termino'],-4,4);
	$fecha_completa_termino=$fecha_year_termino."-".$fecha_mes_termino."-".$fecha_dia_fin;
}
$prioridad_tarea=$_POST['prioridad_tarea'];
$zone=3600*(-1);//USA  
$now=date("Y-m-d H:i", time()+$zone);
mysql_query("INSERT INTO Tareas (id, Nombre_Tarea, Fecha_Inicio, Fecha_Termino, Prioridad, Descripcion_Detallada, Porcentaje_Completo, Finalizado, Fecha_Creacion) VALUES ($ID, '$nombre_tarea', '$fecha_completa_inicio','$fecha_completa_termino','$prioridad_tarea','$descripcion_tarea', 0, FALSE, '$now' )",$conexion);
foreach($_POST['names'] as $usuario)
	mysql_query("INSERT INTO Tareas_has_Empleado (Tareas_id, Empleado_user, Notificado, Finalizado) VALUES ($ID,'$usuario',0,0)",$conexion);



//SE GENERA VARIABLE DE SESION CON ID GENERADO
$_SESSION['ID_tarea']=$ID;


//SE MANDA CORREO DE NOTIFICACION A CADA UNO DE LOS EMPLEADOS
foreach($_POST['names'] as $usuario)
{
	$consulta_email="SELECT Nombre, ApellidoP, ApellidoM, Email FROM Empleado WHERE user='".$usuario."'";
	$sql_email=mysql_query($consulta_email,$conexion);
	while($row_res=mysql_fetch_assoc($sql_email))
	{
		$email=$row_res['Email'];
		$nombre_emp=$row_res['Nombre'];
		$apellidop=$row_res['ApellidoP'];
		$apellidom=$row_res['ApellidoM'];
	}
	
//SE ENVIA MAIL____________________________________________________________________________________

$objCuentaUtilizada=Array(
			'smtp'			=>	'mail.manemployee.com',		//direccion del smtp
			'puerto'		=>	25,						//puerto smtp
			'nombre'		=>	'MANEMPLOYEE',			//nombre que aparecera en los correos
			'cuenta'		=>	'gestion@manemployee.com',	//cuenta que vamos a usar (colocar con @)
			'usuario'		=>	'gestion@manemployee.com',	//usuario de smtp
			'contrasena'	=>	'gestion202720'	//contrasena de smtp
		);
		
		//creamos el nuevo transporte de Swift con los datos de conexion
		$objTransporte=Swift_SmtpTransport::newInstance($objCuentaUtilizada['smtp'],
		$objCuentaUtilizada['puerto'])
			->setUsername($objCuentaUtilizada['usuario'])		//le indicamos el usuario smtp que vamos a usar
			->setPassword($objCuentaUtilizada['contrasena'])	//contrasena del usuario smtp
		;
		
		//instanciamos el mailer con los datos de conexion establecidos anteriormente
		$objMailer=Swift_Mailer::newInstance($objTransporte);
		
		//creamos el mensaje
		$objMensaje=Swift_Message::newInstance('Gestión de Actividades')							//asunto del mensaje
			->setFrom(array($objCuentaUtilizada['cuenta'] => $objCuentaUtilizada['nombre']))	//quien esta enviando el mensaje?
			->setTo(array($email => $nombre_emp))								//a quien le enviamos el mensaje?
			->setBody('<div style="width:100%; font-family:Tahoma, Geneva, sans-serif; height:300px; margin-top:30px; background-color:#CCC">
<div style="width:100%; height:50px;; font-size:20px; padding-top:15px; text-align:center;">' .$nombre_emp. ' '.$apellidop.' '.$apellidom.', se te ha asignado una nueva tarea.</div>
<div style="width:29%; float:left; height:35px; margin-top: 40px; text-align:right; padding-right:1%; text-decoration:underline; font-size:18px; font-weight:bold;">Tarea:</div>
<div style="width:69%; float:left; margin-top:40px; height:35px; text-align:left; padding-left:1%;font-size:18px; font-weight:bold;">' .$nombre_tarea. '</div>
<div style="width:100%; float:left; height:35px;"></div>

<p style="font-size: 14px;  padding-left: 10px; padding-right: 10px; padding-bottom: 10px;">Para ver la tarea ingresa a esta dirección <span><a href="http://www.manemployee.com/gestiondeactividades/">www.manemployee.com/gestiondeactividades</a></span> Y vaya a la sección de <em>Tareas Nuevas</em>. Marque por favor la casilla de <em>Notificado</em> </p>
</div>')					//cuerpo del mensaje	
			->setContentType('text/html')														//mensaje en formato HTML
		;
		
		//enviamos el mensaje
		if($objMailer->send($objMensaje)){
			echo '';
		}else{
			echo 'Error al enviar el mensaje...!';
		}

//SE ENVIA MAIL____________________________________________________________________________________

}


//SE CIERRA LA CONEXION A LA BASE DE DATOS
mysql_close($conexion);

//se redirecciona al formulario
header("location:../asignar_actividades_formulario.php");
?>